Subject: Re: Fwd: Re: WARNING: at net/sched/sch_generic.c:256 dev_watchdog+0x277/0x280()

From: Alex Villací­s Lasso<[email-masked]>
Date: Thu, 24 May 2012 10:26:54 -0500

El 05/05/12 18:01, Francois Romieu escribió:
> Alex Villacís Lasso<[email-masked]>  :
> [...]
>> It happened again, on a non-tainted kernel. The dmesg log is attached.
> It sucks.
>
> Can you do a poor man's bisection of the r8169 driver between v3.3 and
> v3.4-rc1  (aka 'git cat-file -p $some_rev:drivers/net/ethernet/realtek/r8169.c')
>
> I'd try 1e874e041fc7c222cbd85b20c4406070be1f687a then
> 8027aa245bbd125350f6a78c5a78771d143aba55 if it does not fail.
>
I tried a bisection around the drivers/net/ethernet/realtek directory. I am confident about the bad selections, but not so much about the good selections, even though I waited a full day with the bittorrent client on the background before marking a commit 
as good.

According to my bisection, the first bad commit is 036dafa28da1e2565a8529de2ae663c37b7a0060 . Here is my bisection log:

git bisect start '--' 'drivers/net/ethernet/realtek'
# bad: [dd775ae2549217d3ae09363e3edb305d0fa19928] Linux 3.4-rc1
git bisect bad dd775ae2549217d3ae09363e3edb305d0fa19928
# good: [c16fa4f2ad19908a47c63d8fa436a1178438c7e7] Linux 3.3
git bisect good c16fa4f2ad19908a47c63d8fa436a1178438c7e7
# good: [eeb69aa443e8cdc945405c48f21ce03f5a3b1f86] 8139too: Support RX-FCS flag.
git bisect good eeb69aa443e8cdc945405c48f21ce03f5a3b1f86
# bad: [e27566ed370da09e3b812d3d76dce002915a5bdd] r8169: move the driver removal method to the end of the driver file.
git bisect bad e27566ed370da09e3b812d3d76dce002915a5bdd
# bad: [036dafa28da1e2565a8529de2ae663c37b7a0060] r8169: add byte queue limit support.
git bisect bad 036dafa28da1e2565a8529de2ae663c37b7a0060
# good: [79d0c1d26e1eac0dc5b201e66b65cc5e4e706743] r8169: Support RX-FCS flag.
git bisect good 79d0c1d26e1eac0dc5b201e66b65cc5e4e706743
# good: [8027aa245bbd125350f6a78c5a78771d143aba55] r8169: add 64bit statistics.
git bisect good 8027aa245bbd125350f6a78c5a78771d143aba55